Skip to main content
POST

Headers

x-api-version
string
default:2026-01-01
required

API version to be used. Format is YYYY-MM-DD.

x-request-id
string

Request id for the API call. Can be used to resolve tech issues.

x-idempotency-key
string<UUID>

An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.

Body

application/json

Request parameters to authorise the payment transaction.

payment_session_id
string
required

Unique identifier for the payment session, returned in the response of the Create Order API.

Example:

"session__CvcEmNKDkmERQrxnx39ibhJ3Ii034pjc8ZVxf3qcgEXCWlgDDlHRgz2XYZCqpajDQSXMMtCusPgOIxYP2LZx0-05p39gC2Vgmq1RAj--gcn"

authorization_data
object
required

3DS / token authorisation details.

Response

Success response for authorising the Apple Pay payment transaction.

auth_id
string
Example:

"302651"

authorization
any | null

Additional authorisation object if available.

bank_reference
string
Example:

"524410198110"

cf_payment_id
string
Example:

"4304193706"

entity
string
Example:

"payment"

error_details
unknown
international_payment
object
is_captured
boolean
Example:

false

order_amount
number<double>
Example:

1

order_currency
string
Example:

"INR"

order_id
string
Example:

"CFPay_payme_rohittest_3vv0ethp9r"

payment_amount
number<double>
Example:

1

payment_completion_time
string<date-time>
Example:

"2025-09-01T15:42:38+05:30"

payment_currency
string
Example:

"INR"

payment_gateway_details
object
payment_group
string
Example:

"debit_card"

payment_message
string
Example:

"PRE_AUTH|Transaction Success"

payment_method
object
payment_offers
object[]
payment_status
string
Example:

"SUCCESS"

payment_surcharge
object
payment_time
string<date-time>
Example:

"2025-09-01T15:40:58+05:30"